<?php
    /**
     * Template Name: Web Stories
     */
    use BBE\Helpers as Helpers;
    use BBE\Customizer\Theme_Defaults as Theme_Defaults;
    use BBE\Customizer\Section\Web_Stories as Web_Stories;

    get_header();

        add_filter( 'blog_bee_web_stories_is_google_type_filter', [ Web_Stories::get_instance(), 'is_google_filter' ] );
        add_filter( 'blog_bee_web_stories_view_all_button_filter', [ Web_Stories::get_instance(), 'view_all_button_filter' ] );

        echo '<section class="bbe-sections-wrap">';

            Web_Stories::get_instance()->render_html();

        echo '</section>';

        remove_filter( 'blog_bee_web_stories_is_google_type_filter', [ Web_Stories::get_instance(), 'is_google_filter' ] );
        remove_filter( 'blog_bee_web_stories_view_all_button_filter', [ Web_Stories::get_instance(), 'view_all_button_filter' ] );

    get_footer();